OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListOfNamedShape Class Reference

`#include <TNaming_ListOfNamedShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_ListOfNamedShape ()
Standard_EXPORT void | Assign (const TNaming_ListOfNamedShape &Other)
void | operator= (const TNaming_ListOfNamedShape &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TNaming_ListOfNamedShape ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(TNaming_NamedShape)&I)
Standard_EXPORT void | Prepend (const Handle(TNaming_NamedShape)&I, TNaming_ListIteratorOfListOfNamedShape &theIt)
Standard_EXPORT void | Prepend (TNaming_ListOfNamedShape &Other)
Standard_EXPORT void | Append (const Handle(TNaming_NamedShape)&I)
Standard_EXPORT void | Append (const Handle(TNaming_NamedShape)&I, TNaming_ListIteratorOfListOfNamedShape &theIt)
Standard_EXPORT void | Append (TNaming_ListOfNamedShape &Other)
Standard_EXPORT Handle_TNaming_NamedShape & | First () const
Standard_EXPORT Handle_TNaming_NamedShape & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TNaming_ListIteratorOfListOfNamedShape &It)
Standard_EXPORT void | InsertBefore (const Handle(TNaming_NamedShape)&I, TNaming_ListIteratorOfListOfNamedShape &It)
Standard_EXPORT void | InsertBefore (TNaming_ListOfNamedShape &Other, TNaming_ListIteratorOfListOfNamedShape &It)
Standard_EXPORT void | InsertAfter (const Handle(TNaming_NamedShape)&I, TNaming_ListIteratorOfListOfNamedShape &It)
Standard_EXPORT void | InsertAfter (TNaming_ListOfNamedShape &Other, TNaming_ListIteratorOfListOfNamedShape &It)
## Private Member Functions
Standard_EXPORT | TNaming_ListOfNamedShape (const TNaming_ListOfNamedShape &Other)
## Private Attributes
Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_ListOfNamedShape::TNaming_ListOfNamedShape | ( |  | ) |

TNaming_ListOfNamedShape::~TNaming_ListOfNamedShape | ( |  | ) | `[inline]`

Standard_EXPORT TNaming_ListOfNamedShape::TNaming_ListOfNamedShape | ( | const TNaming_ListOfNamedShape & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TNaming_ListOfNamedShape::Append | ( | TNaming_ListOfNamedShape & | Other | ) |

Standard_EXPORT void TNaming_ListOfNamedShape::Append | ( | const Handle(TNaming_NamedShape)& | I,
|  | TNaming_ListIteratorOfListOfNamedShape & | theIt
| ) |

Standard_EXPORT void TNaming_ListOfNamedShape::Append | ( | const Handle(TNaming_NamedShape)& | I | ) |

Standard_EXPORT void TNaming_ListOfNamedShape::Assign | ( | const TNaming_ListOfNamedShape & | Other | ) |

Standard_EXPORT void TNaming_ListOfNamedShape::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TNaming_ListOfNamedShape::Extent | ( |  | ) | const

Standard_EXPORT Handle_TNaming_NamedShape& TNaming_ListOfNamedShape::First | ( |  | ) | const

Standard_EXPORT void TNaming_ListOfNamedShape::InsertAfter | ( | TNaming_ListOfNamedShape & | Other,
|  | TNaming_ListIteratorOfListOfNamedShape & | It
| ) |

Standard_EXPORT void TNaming_ListOfNamedShape::InsertAfter | ( | const Handle(TNaming_NamedShape)& | I,
|  | TNaming_ListIteratorOfListOfNamedShape & | It
| ) |

Standard_EXPORT void TNaming_ListOfNamedShape::InsertBefore | ( | TNaming_ListOfNamedShape & | Other,
|  | TNaming_ListIteratorOfListOfNamedShape & | It
| ) |

Standard_EXPORT void TNaming_ListOfNamedShape::InsertBefore | ( | const Handle(TNaming_NamedShape)& | I,
|  | TNaming_ListIteratorOfListOfNamedShape & | It
| ) |

Standard_Boolean TNaming_ListOfNamedShape::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_TNaming_NamedShape& TNaming_ListOfNamedShape::Last | ( |  | ) | const

void TNaming_ListOfNamedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_ListOfNamedShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_ListOfNamedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TNaming_ListOfNamedShape::operator= | ( | const TNaming_ListOfNamedShape & | Other | ) | `[inline]`

Standard_EXPORT void TNaming_ListOfNamedShape::Prepend | ( | TNaming_ListOfNamedShape & | Other | ) |

Standard_EXPORT void TNaming_ListOfNamedShape::Prepend | ( | const Handle(TNaming_NamedShape)& | I,
|  | TNaming_ListIteratorOfListOfNamedShape & | theIt
| ) |

Standard_EXPORT void TNaming_ListOfNamedShape::Prepend | ( | const Handle(TNaming_NamedShape)& | I | ) |

Standard_EXPORT void TNaming_ListOfNamedShape::Remove | ( | TNaming_ListIteratorOfListOfNamedShape & | It | ) |

Standard_EXPORT void TNaming_ListOfNamedShape::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TNaming_ListOfNamedShape::myFirst`[private]`

Standard_Address TNaming_ListOfNamedShape::myLast`[private]`

The documentation for this class was generated from the following file:

- TNaming_ListOfNamedShape.hxx